require 'openssl'
require 'digest'
require 'base58'

# @abstract Use for hardened index
#
# @return the self plus 2^31
class Integer
  def h
    2**31 + self
  end
end

module HDetEc
  autoload :DataManipulation, 'hdet-ec-key/data_manipulation'
  autoload :ECManipulation, 'hdet-ec-key/ec_manipulation'
  autoload :Key, 'hdet-ec-key/key'
end
